﻿@model PROJETMODELE.Models.VML.TG.Compte
@{
    Layout = null;
}
<script src="~/Scripts/Compte.js"></script>
<div id="formulaire" style="height: 220px; width: 600px">
    <div>Compte</div>
    <div class="forms">
        @using (Html.BeginForm())
        {
            @Html.AntiForgeryToken()
            @Html.ValidationSummary(true)
            @Html.HiddenFor(model => model.login)
            <table>
                <tr>
                    <td>@Html.LabelFor(model => model.Nom)</td>
                    <td style="font-size: 14px; font-weight: bold">@Html.DisplayFor(model => model.Nom)</td>
                </tr>
                <tr>
                    <td>@Html.LabelFor(model => model.pass)</td>
                    <td>@Html.PasswordFor(model => model.pass) </td>
                </tr>
                <tr>
                    <td>@Html.LabelFor(model => model.newpass)</td>
                    <td>@Html.PasswordFor(model => model.newpass) </td>
                </tr>
                <tr>
                    <td>@Html.LabelFor(model => model.retapnewpass)</td>
                    <td>@Html.PasswordFor(model => model.retapnewpass) </td>
                </tr>
            </table>
            <p>
                <button title="Valider" type="submit" id="jqxButton" class="btn btn-default oufbutton send"><i class="ouf-ok"></i>Valider</button>
                <button title="Annuler" type="button" id="jqxAnnuler" class="btn btn-default oufbutton fannul"><i class="ouf-cancel"></i>Annuler</button>
            </p>
        }
    </div>
</div>
<script>
    $('#formulaire').jqxValidator({
        rules: [
            { input: '#pass', message: 'Ce champs est obligatoire', action: 'keyup, blur', rule: 'required' },
             { input: '#newpass', message: 'Ce champs est obligatoire', action: 'keyup, blur', rule: 'required' },
            {
                input: '#retapnewpass', message: 'Mot de passe différent !', action: 'keyup, focus', rule: function (input, commit) {
                    // call commit with false, when you are doing server validation and you want to display a validation error on this field. 
                    if (input.val() === $('#newpass').val()) {
                        return true;
                    }
                    return false;
                }
            }
        ],
    });
    $("#pass").jqxInput({ placeHolder: 'Ancien Mot de passe....', height: 25, width: 300, theme: "ui-redmond" });
    $("#newpass").jqxInput({ placeHolder: 'Nouveau Mot de passe....', height: 25, width: 300, theme: "ui-redmond" });
    $("#retapnewpass").jqxInput({ placeHolder: 'Confirmer le nouveau Mot de passe....', height: 25, width: 300, theme: "ui-redmond" });

</script>
